{
  // Use IntelliSense to learn about possible attributes.
  // Hover to view descriptions of existing attributes.
  // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
  "version": "0.2.0",
  "configurations": [
    {
      "type": "node",
      "request": "launch",
      "name": "web:dtp-sites",
      "skipFiles": [
        "<node_internals>/**"
      ],
      "program": "${workspaceFolder:dtp-sites}/dtp-sites.js",
      "console": "integratedTerminal",
      "env": {
        "HTTP_BIND_PORT": "3020",
        "HTTPS_ENABLE": "enabled",
        "HTTPS_BIND_PORT": "3800"
      }
    },
    {
      "type": "node",
      "request": "launch",
      "name": "cli:dtp-sites",
      "skipFiles": [
        "<node_internals>/**"
      ],
      "program": "${workspaceFolder:dtp-sites}/dtp-sites-cli.js",
      "console": "integratedTerminal",
      "args": ["--action=reset-indexes", "all"]
    },
    {
      "type": "node",
      "request": "launch",
      "name": "worker:sample",
      "skipFiles": [
        "<node_internals>/**"
      ],
      "program": "${workspaceFolder:dtp-base}/app/workers/sample-worker.js",
      "console": "integratedTerminal",
    },
  ]
}
